Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513299 - [abrt] gnome-shell: wayland_selection_data_free(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: wayland_selection_data_free(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d363b436a35a1f48bcdfe180e5a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 06:24 UTC by Coşkun YAMAN
Modified: 2018-11-30 18:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:26:20 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: cgroup (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: core_backtrace (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: cpuinfo (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: dso_list (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: environ (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: exploitable (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: limits (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: maps (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: mountinfo (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: open_fds (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: proc_pid_status (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details
File: var_log_messages (deleted)
2017-11-15 06:24 UTC, Coşkun YAMAN
no flags Details

Description Coşkun YAMAN 2017-11-15 06:24:04 UTC
Version-Release number of selected component:
gnome-shell-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: wayland_selection_data_free
executable:     /usr/bin/gnome-shell
journald_cursor: s=8a156fd7f8fc446a835b4d11fd04ce52;i=433c9;b=cc620d3560dd445c9864b8ad7de48b09;m=281923325f;t=55dff55bb5328;x=ddd5c9c47e53d0fb
kernel:         4.13.11-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 wayland_selection_data_free at wayland/meta-xwayland-selection.c:654
 #1 shutdown_selection_bridge at wayland/meta-xwayland-selection.c:1750
 #2 meta_xwayland_shutdown_selection at wayland/meta-xwayland-selection.c:1790
 #3 meta_xwayland_stop at wayland/meta-xwayland.c:619
 #4 meta_wayland_finalize at wayland/meta-wayland.c:411
 #5 meta_finalize at core/main.c:301
 #6 meta_run at core/main.c:650

Comment 1 Coşkun YAMAN 2017-11-15 06:24:12 UTC
Created attachment 1352415 [details]
File: backtrace

Comment 2 Coşkun YAMAN 2017-11-15 06:24:13 UTC
Created attachment 1352416 [details]
File: cgroup

Comment 3 Coşkun YAMAN 2017-11-15 06:24:16 UTC
Created attachment 1352417 [details]
File: core_backtrace

Comment 4 Coşkun YAMAN 2017-11-15 06:24:18 UTC
Created attachment 1352418 [details]
File: cpuinfo

Comment 5 Coşkun YAMAN 2017-11-15 06:24:20 UTC
Created attachment 1352419 [details]
File: dso_list

Comment 6 Coşkun YAMAN 2017-11-15 06:24:24 UTC
Created attachment 1352420 [details]
File: environ

Comment 7 Coşkun YAMAN 2017-11-15 06:24:25 UTC
Created attachment 1352421 [details]
File: exploitable

Comment 8 Coşkun YAMAN 2017-11-15 06:24:27 UTC
Created attachment 1352422 [details]
File: limits

Comment 9 Coşkun YAMAN 2017-11-15 06:24:30 UTC
Created attachment 1352423 [details]
File: maps

Comment 10 Coşkun YAMAN 2017-11-15 06:24:32 UTC
Created attachment 1352424 [details]
File: mountinfo

Comment 11 Coşkun YAMAN 2017-11-15 06:24:35 UTC
Created attachment 1352425 [details]
File: open_fds

Comment 12 Coşkun YAMAN 2017-11-15 06:24:36 UTC
Created attachment 1352426 [details]
File: proc_pid_status

Comment 13 Coşkun YAMAN 2017-11-15 06:24:39 UTC
Created attachment 1352427 [details]
File: var_log_messages

Comment 14 Carles Pla 2017-11-23 17:04:07 UTC
*** Bug 1516966 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2018-11-27 18:03:14 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 18:26:20 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.